<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_back_fragment">
    <!--上部容器-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">
        <!--上部左侧容器-->
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">
            <!--位置信息-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/cr_30_dp"
                android:gravity="center">
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_longitude"/>
                <TextView
                    style="@style/lbl_value_common"
                    android:text="@string/value_6"
                    android:id="@+id/lbl_longitude"/>
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_latitude"
                    android:layout_marginStart="@dimen/cr_10_dp"/>
                <TextView
                    style="@style/lbl_value_common"
                    android:text="@string/value_6"
                    android:id="@+id/lbl_latitude"/>
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_yaw"
                    android:layout_marginStart="@dimen/cr_10_dp"/>
                <TextView
                    style="@style/lbl_value_common"
                    android:text="@string/value_3"
                    android:id="@+id/lbl_angle"/>
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_altitude"
                    android:layout_marginStart="@dimen/cr_10_dp"/>
                <TextView
                    style="@style/lbl_value_common"
                    android:text="@string/value_3"
                    android:id="@+id/lbl_altitude"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">
                <LinearLayout
                    android:layout_width="@dimen/cr_200_dp"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:gravity="center_horizontal">
                    <TextView
                        style="@style/up_lbl_common"
                        android:text="@string/up_join_net_case" />
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">
                        <com.cr.view.CrViewWheel
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"/>
                    </LinearLayout>
                    <View style="@style/view_split_h1"/>
                    <TextView
                        style="@style/up_lbl_common"
                        android:text="@string/up_submit_type"/>
                    <cn.carbs.android.segmentcontrolview.library.SegmentControlView
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/cr_24_dp"
                        app:scv_FrameWidth="@dimen/cr_1_dp"
                        app:scv_FrameCornerRadius="@dimen/cr_5_dp"
                        app:scv_Gradient="true"
                        app:scv_SegmentPaddingVertical="@dimen/cr_5_dp"
                        app:scv_TextArray="@array/up_submit_type_value"
                        app:scv_TextSize="@dimen/sp_10"
                        app:scv_TextSelectedColor="@color/yellow"
                        app:scv_TextNormalColor="@color/common_back"
                        android:layout_marginTop="@dimen/cr_8_dp"
                        android:layout_marginBottom="@dimen/cr_8_dp"
                        android:id="@+id/segment_submit_type"/>
                    <TextView
                        style="@style/lbl_value_common"
                        android:text="@string/up_submit_type_description"
                        android:textSize="@dimen/sp_8"
                        android:layout_marginLeft="@dimen/common_margin"
                        android:layout_marginRight="@dimen/common_margin"/>
                    <View style="@style/view_split_h1"/>
                    <TextView
                        style="@style/up_lbl_common"
                        android:text="@string/up_construct_progress"/>
                    <cn.carbs.android.segmentcontrolview.library.SegmentControlView
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/cr_24_dp"
                        app:scv_FrameWidth="@dimen/cr_1_dp"
                        app:scv_FrameCornerRadius="@dimen/cr_5_dp"
                        app:scv_Gradient="true"
                        app:scv_SegmentPaddingVertical="@dimen/cr_5_dp"
                        app:scv_TextArray="@array/up_construct_progress_value"
                        app:scv_TextSize="@dimen/sp_10"
                        app:scv_TextSelectedColor="@color/yellow"
                        app:scv_TextNormalColor="@color/common_back"
                        android:layout_marginTop="@dimen/cr_8_dp"
                        android:layout_marginBottom="@dimen/cr_8_dp"
                        android:id="@+id/segment_construct_progress"/>
                    <TextView
                        style="@style/lbl_value_common"
                        android:text="@string/up_construct_progress_description"
                        android:textSize="@dimen/sp_8"
                        android:layout_marginLeft="@dimen/common_margin"
                        android:layout_marginRight="@dimen/common_margin"/>
                </LinearLayout>
                <View style="@style/view_split_v1"/>
                <!--图片容器-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1">
                    <com.cr.widget.CrImageBrowserWidget
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:id="@+id/image_browser"/>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
        <View style="@style/view_split_v1"/>
        <!--上部右侧容器-->
        <LinearLayout
            android:layout_width="@dimen/cr_160_dp"
            android:layout_height="match_parent"
            android:gravity="center_horizontal"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:layout_marginTop="@dimen/common_margin"
                android:layout_marginBottom="@dimen/common_margin">
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_attribute_description"/>
                <Button
                    style="@style/lbl_button_common"
                    android:text="@string/up_attribute_description_async"
                    android:background="@drawable/btn_blue_selector"
                    android:id="@+id/btn_async_desc"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:gravity="center">
                <com.cr.view.CrViewWheel
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/wheel_case_desc"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:layout_marginTop="@dimen/common_margin"
                android:layout_marginBottom="@dimen/common_margin">
                <TextView
                    style="@style/lbl_title_common"
                    android:text="@string/up_attribute_case_type"/>
                <Button
                    style="@style/lbl_button_common"
                    android:text="@string/up_attribute_case_type_async"
                    android:background="@drawable/btn_blue_selector"
                    android:id="@+id/btn_async_case_type"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">
                <com.cr.view.CrViewWheel
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/wheel_case_type"/>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
    <View style="@style/view_split_h1"/>
    <!--下部容器-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/cr_60_dp"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">
            <!--上传信息相关-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingLeft="@dimen/common_padding"
                android:paddingRight="@dimen/common_padding">
                <TextView
                    style="@style/lbl_value_common"
                    android:layout_width="match_parent"
                    android:text="@string/default_value"
                    android:gravity="end"
                    android:paddingEnd="@dimen/cr_10_dp"
                    android:paddingStart="@dimen/cr_10_dp"
                    android:textSize="@dimen/sp_10"
                    android:layout_marginTop="@dimen/common_margin"
                    android:layout_marginBottom="@dimen/common_margin"
                    android:id="@+id/lbl_progress"/>
                <ProgressBar
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/cr_10_dp"
                    style="@style/Widget.AppCompat.ProgressBar.Horizontal"
                    android:progressDrawable="@drawable/progress_bar"
                    android:id="@+id/progress_bar"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="@dimen/cr_60_dp"
                android:layout_height="match_parent"
                android:gravity="center"
                android:layout_marginLeft="@dimen/common_margin"
                android:layout_marginRight="@dimen/common_margin"
                android:background="@drawable/btn_red_selector"
                android:clickable="true"
                android:id="@+id/btn_submit">
                <com.cr.view.CrICON
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/default_a"
                    android:textColor="@color/white"
                    app:cr_font="@string/ico_upload"
                    android:textSize="@dimen/sp_16"/>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/yellow"
                    android:text="@string/up_action_submit"
                    android:textSize="@dimen/sp_14"/>
            </LinearLayout>
        </LinearLayout>
        <View style="@style/view_split_h1"/>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="@dimen/cr_20_dp"
            android:text="@string/default_value"
            android:layout_gravity="center"
            android:textSize="@dimen/sp_10"
            android:gravity="center_vertical"
            android:textColor="@color/yellow"
            android:id="@+id/lbl_message"/>
    </LinearLayout>
</LinearLayout>